# Class InternalException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.ggf.drmaa.InternalException

All Implemented Interfaces:
  `Serializable`

public class InternalException extends RuntimeException
Unexpected or internal DRMAA error like memory allocation, system call failure, etc. After this exception has been thrown, the DRMAA implementation is in an unstable state.

Since:
  0.4.2
Version:
  1.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InternalException()`
Creates a new instance of `InternalException` without detail message.
`InternalException(String msg)`
Constructs an instance of `InternalException` with the specified detail message.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InternalException

public InternalException()
Creates a new instance of `InternalException` without detail message.

### InternalException

public InternalException(String msg)
Constructs an instance of `InternalException` with the specified detail message.

Parameters:
  `msg` - the detail message.